﻿using System;

namespace NoteMan
{
    public class Appointment : Element
    {
        public DateTime Start { get; set; }
        public DateTime End { get; set; }

        public Appointment()
        {
            Start = DateTime.Now;
            End = DateTime.Now;
        }

        public Appointment(string title, string text, DateTime start, DateTime end) : base(title, text)
        {
            if (end.CompareTo(start) < 0)
            {
                Console.Out.WriteLine("DateTimeComparison: end < start!");
                throw new EndBeforeStartException();
            }
            Start = start;
            End = end;
        }


        public void UpdateRecord(string title, string text, DateTime start, DateTime end)
        {
            if (end.CompareTo(start) < 0)
            {
                Console.Out.WriteLine("DateTimeComparison: end < start!");
                throw new EndBeforeStartException();
            }
            base.UpdateRecord(title, text);
            Start = start;
            End = end;
        }
    }
}
