﻿using System;
using System.ComponentModel;
using System.IO;
using System.Xml;
using System.Xml.Serialization;

namespace NoteMan
{
    public class Data
    {
        public MyBindingList<Project> Projects = new MyBindingList<Project>();

        public Data()
        {
            CurrentProject = new Project("Default project");
            Projects.Add(CurrentProject);
        }

        public void AddProject(string title)
        {
            Projects.Add(new Project(title));
            Console.Out.WriteLine("Projekt '{0}' angelegt!", title);
        }

        public BindingList<Project> GetProjectList()
        {
            return Projects;
        }

        [XmlIgnore]
        public Project CurrentProject { get; set; }

        public void ExportXml(string filename)
        {
            using (StreamWriter sw = new StreamWriter(filename))
            {
                using (XmlWriter writer = XmlWriter.Create(sw))
                {
                    XmlSerializer ser = new XmlSerializer(typeof(Data));
                    ser.Serialize(writer, this);
                }
            }
        }
    }
}