﻿using System;
using System.ComponentModel;

namespace NoteMan
{
    public class Project
    {
        public BindingList<Element> Elements { get; } = new BindingList<Element>();

        public Project()
        {
            Title = "";
        }
        public Project(string title)
        {
           Title = title;
            // TODO: remove Test
            Elements.Add(new Todo(title + ": Test 1", "Just a Test :-)", new DateTime(2017, 1, 1, 0, 0, 0)));
            Elements.Add(new Todo(title + ": Test 2", "Just a simple Test :-)", new DateTime(2017, 2, 1)));
            Elements.Add(new Note("Test", "Test"));
        }

        public string Title { get; set; }

        public void Add(Element element)
        {
            Elements.Add(element);
        }

        private BindingList<Element> GetElementsOfType(Type type)
        {
            BindingList<Element> items = new BindingList<Element>();
            foreach (Element e in Elements)
            {
                if (e.GetType() == type)
                {
                    items.Add(e);
                }
            }
            return items;
        }

        public BindingList<Element> GetAppointments()
        {
            return GetElementsOfType(typeof(Appointment));
        }
        public BindingList<Element> GetTodos()
        {
            return GetElementsOfType(typeof(Todo));
        }
        public BindingList<Element> GetNotes()
        {
            return GetElementsOfType(typeof(Note));
        }

        public override string ToString()
        {
            return Title;
        }
    }
}
